Page MenuHomePhabricator

Heading of template editor is centered; hence most text currently covered by "Apply changes" button in some languages
Closed, ResolvedPublic8 Story Points

Description

When editing the infobox in https://fr.wikipedia.org/w/index.php?title=S%C3%A9bastien_Texier&veaction=edit , the heading is misaligned (overlapping with button), see screenshot.

Event Timeline

Eloquence created this task.Dec 6 2014, 6:55 PM
Eloquence raised the priority of this task from to Needs Triage.
Eloquence updated the task description. (Show Details)
Eloquence added a project: VisualEditor.
Eloquence changed Security from none to None.
Eloquence added a subscriber: Eloquence.

This is the same issue as T70571, where this has been declined (the suggested solution is to make the button labels shorter). The abandoned patch https://gerrit.wikimedia.org/r/160812 would probably still work.

The solution would be not to absolutely center the title if it can't fit.

BeforeAfter

Thanks, Bartosz. The current behavior is clearly undesirable (useless or partially overlapping dialog titles); we may need to do both (shorten some button labels and optimize placement). I defer to @Jdforrester-WMF on the final approach.

Elitre added a subscriber: Elitre.Dec 6 2014, 7:44 PM

Same at the German Wikipedia (check the Saving dialog). The French workaround to this one was changing the equivalent of "Save your changes" to "Contribution"...

This just became worse with the new design, IMHO.

Aklapper renamed this task from Heading of template editor is misaligned, possibly fr.wiki only to Heading of template editor is centered; hence most text currently covered by "Apply changes" button in some languages.Feb 19 2015, 5:24 PM

FYI this was brought up again by a user testing Citoid.

A few images to add to this problem (images show Russian):

"tempfile.ru" is not very reassuring about the lifetime of these links, so let's copy here.

Ltrlg added a subscriber: Ltrlg.Apr 10 2015, 9:12 PM

Change 160812 had a related patch set uploaded (by Bartosz Dziewoński):
ProcessDialog: Don't center the title label if there's not enough space

https://gerrit.wikimedia.org/r/160812

Change 160812 merged by jenkins-bot:
ProcessDialog: Don't center the title label if there's not enough space

https://gerrit.wikimedia.org/r/160812

Jdforrester-WMF closed this task as Resolved.Jun 4 2015, 10:34 PM
Jdforrester-WMF assigned this task to matmarex.
Jdforrester-WMF triaged this task as Medium priority.
Jdforrester-WMF edited a custom field.

Worth a User-notice, I think? I believe this improves our UI in several languages significantly. :)

Worth a User-notice, I think? I believe this improves our UI in several languages significantly. :)

And makes it look worse in others. We'll need to test it post-release to see what further tweaks we need to make VE-side.

matmarex added a comment.EditedJun 4 2015, 10:37 PM

Well, no, it doesn't change anything except for the case where the label would be clipped.

Normal labelLong label
Before
After

The main place people encounter this is where all three labels are very long; this "fix" doesn't actually help them.

Jdforrester-WMF moved this task from Backlog to Reviewing on the OOUI board.Jun 10 2015, 2:27 AM